> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create detalle for boleta

> Operacion: Create detalle for boleta.



## OpenAPI

````yaml /generated/specs/finance.json post /api/v1/boleta/{id}/detalles
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/boleta/{id}/detalles:
    post:
      tags:
        - Billing - Boletas
      summary: Create detalle for boleta
      description: 'Operacion: Create detalle for boleta.'
      operationId: BoletaController_createDetalleBoleta
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDetalleBoletaDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetalleBoletaResponseDto'
        '400':
          description: Visit already in boleta
        '404':
          description: Boleta not found
      security:
        - bearerAuth: []
components:
  schemas:
    CreateDetalleBoletaDto:
      type: object
      properties:
        visit_detail_id:
          type: string
          description: Visit detail UUID
        visit_cost:
          type: number
          description: Visit cost
          minimum: 0
        descuento:
          type: number
          description: Discount amount
        licence_plate:
          type: string
          description: Vehicle licence plate
        visit_date:
          type: string
          description: Visit date
        observation:
          type: string
          description: Observation
        city_id:
          type: string
          description: City UUID
      required:
        - visit_detail_id
        - visit_cost
    DetalleBoletaResponseDto:
      type: object
      properties:
        id:
          type: number
        id_boleta:
          type: number
        visit_detail_id:
          type: string
        visit_cost:
          type: number
        descuento:
          type: number
        licence_plate:
          type: string
        visit_date:
          format: date-time
          type: string
        observation:
          type: string
        city_id:
          type: string
        city_name:
          type: string
        visit_cost_id:
          type: number
        technician_cost:
          type: number
        technician_currency:
          type: number
        km_traveled:
          type: number
        cost_per_km_technician:
          type: number
        tolls:
          type: number
        additional_cost:
          type: number
        cost_type_name:
          type: string
        cost_km:
          type: number
      required:
        - id
        - id_boleta
        - visit_detail_id
        - visit_cost
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````